import { axios } from '@archser/layout-ui'

const SERVICE_URL = '/aserver/menu'

/**
 * 根据SysId获取菜单列表
 */
export const getMenuList = params => {
  return axios.request({
    url: SERVICE_URL + '/getMenuList',
    params: params,
    method: 'get'
  })
}

/**
 * 保存菜单数据
 */
export const saveMenuData = params => {
  return axios.request({
    url: SERVICE_URL + '/saveMenuData',
    params: params,
    method: 'post'
  })
}

/**
 * 删除菜单数据
 */
export const deleteMenu = params => {
  return axios.request({
    url: SERVICE_URL + '/deleteMenu',
    params: params,
    method: 'post'
  })
}
